#include <bits/stdc++.h>

using namespace std;
typedef long long ll;
int main()
{
    ios::sync_with_stdio(false);
    char c1,c2;
    ll a1,a2;
    cin >> c1 >> c2;
    cin >> a1 >> a2;
    if(abs(a1-a2)>1) cout << "nemoguce" << '\n';
    else
    {
        string s="";
        if(a1>a2){
          for(ll i=0;i<a1;i++){
             s+=c1;
             if(i!=a2) s+=c2;
           }
        }
        else{
          for(ll i=0;i<a2;i++){
             s+=c2;
             if(i!=a1) s+=c1;
           }
        }
         cout << s << '\n';
    }
    return 0;
}